import { ReactPropsWithoutRef, Component } from '@clutchd/component';

interface ILayoutProps {
    col?: boolean;
    padding?: boolean;
    row?: boolean;
}

interface IContainerProps extends ILayoutProps, ReactPropsWithoutRef<typeof Component.div> {
}
declare function Container({ col, padding, row, ...props }: IContainerProps): JSX.Element;

interface IContentProps extends ILayoutProps, ReactPropsWithoutRef<typeof Component.main> {
}
declare function Content({ col, padding, row, ...props }: IContentProps): JSX.Element;

interface IFooterProps extends ILayoutProps, ReactPropsWithoutRef<typeof Component.footer> {
}
declare function Footer({ col, padding, row, ...props }: IFooterProps): JSX.Element;

interface IHeaderProps extends ILayoutProps, ReactPropsWithoutRef<typeof Component.header> {
}
declare function Header({ col, padding, row, ...props }: IHeaderProps): JSX.Element;

interface IPageProps extends ILayoutProps, ReactPropsWithoutRef<typeof Component.header> {
}
declare function Page({ col, padding, row, ...props }: IPageProps): JSX.Element;

declare type ILayout = {
    Container: typeof Container;
    Content: typeof Content;
    Footer: typeof Footer;
    Header: typeof Header;
    Page: typeof Page;
};
declare const Layout: ILayout;

export { Layout };
